package org.springframework.boot.loader;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.net.URL;
import java.util.Enumeration;
import org.springframework.boot.loader.LaunchedURLClassLoader;
import org.springframework.boot.loader.jar.Handler;

class UseFastConnectionExceptionsEnumeration implements Enumeration<URL> {
  private final Enumeration<URL> delegate;
  
  UseFastConnectionExceptionsEnumeration(Enumeration<URL> delegate) {
    this.delegate = delegate;
  }
  
  public boolean hasMoreElements() {
    Handler.setUseFastConnectionExceptions(true);
    try {
      return this.delegate.hasMoreElements();
    } finally {
      Handler.setUseFastConnectionExceptions(false);
    } 
  }
  
  public URL nextElement() {
    Handler.setUseFastConnectionExceptions(true);
    try {
      return this.delegate.nextElement();
    } finally {
      Handler.setUseFastConnectionExceptions(false);
    } 
  }
}
